<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <div v-if="mostrar">
            <table v-for="(alumn,index) in alumns" v-bind:key="index">
                    <td>{{alumn.name}}</td>
                    <td>{{alumn.surname}}</td>
                    <td>{{alumn.group}}</td>
                    <td>{{alumn.grades}}</td>
                    <td v-show="showGrades">{{(calculAvg())}}</td>
            </table>
        </div>
        <div v-else="mostrar">No hay datos que mostrar</div>
    </div>
    <script src="https://unpkg.com/vue@next"></script>
    <script>
        //Creamos una aplicación VUE.
        const app = Vue.createApp({
            data() {
                return {
                    mostrar: true,
                    showGrades: true,
                    //Array de objetos
                    alumns:[
                        {name:"Unai", surname: "EL furro", group: "DAMv", grades: [0,0,0,0,0]},
                        {name:"Davidilla", surname: "Pascual", group: "DAMv", grades: [1,2,3,4,5]},
                        {name:"Joselu", surname: "EL mago acustico", group: "DAW", grades: [6,8,7,9,2]}
                    ] 
                }
            },
            methods: {
                calculAvg(){
                    var avg;
                    for (const grade of alumns.grades) {
                        avg += grade;
                    }
                    return avg/5;
                }
            }
        })
        app.mount('#app')
    </script>
</body>
</html>